%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
/*
Nan.Common 1.2
Common Operations
nan_common.pl
<http://julio.diegidio.name/Projects/Prolog/Download/Nan.Common-1.2.zip>

Copyright 2012 J.P. Di Egidio
All rights reserved.
<http://julio.diegidio.name/Projects/Prolog/Nan.Common>

Nan.Common is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

Nan.Common is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with Nan.Common. If not, see <http://www.gnu.org/licenses/>.

As a special exception, if you link this library with other files,
compiled with a Free Software compiler, to produce an executable, this
library does not by itself cause the resulting executable to be covered
by the GNU General Public License. This exception does not however
invalidate any other reasons why the executable file might be covered by
the GNU General Public License.

Authors:
J.P. Di Egidio - JDE - <mailto:julio@diegidio.name>

History:
1.2.2012-11-11/JDE - Common: minor fixes to the docs.
1.0.2012-11-10/JDE - Common: created version 1.0.

Written and tested in:
SWI-Prolog 6.2.0 - <http://www.swi-prolog.org>
*/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

/**	<module> Nan.Common 1.2: Common Operations

*|Nan.Common 1.2|*: Common Operations (nan_common)

This module is part of *|Nan.Common 1.2|*: Common Operations (nan_common)
<http://julio.diegidio.name/Projects/Prolog/Nan.Common>

This module is a top-level reexporter for modules that provide common
programming operations.

The modules currently provided are:

	$ nan_validation :
	Validation Operations

NOTE: It is possible to load the single modules if preferred.  For example,
to load the validation module enter =|use_module(library(nan_validation))|=,
or similar.

@author		J.P. Di Egidio
@version	1.2
@copyright	Copyright 2012 J.P. Di Egidio
@license	GPL3 + SWI-Exception
*/

:- module(nan_common, []).

:- reexport([nan_validation]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
